Skip to main content
POST
/
entries
/
{id}
/
approve
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const response = await client.entries.approve('entry_xxxxxxxxxxxx');

console.log(response.job_id);
{
  "job_id": "<string>"
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the waitlist entry to approve.

Example:

"entry_xxxxxxxxxxxx"

Response

A successful response

An object representing an asynchronous job.

job_id
string
required

The ID of the job.